---
title: "A task's artifacts"
url: https://hexelstudio.com/docs/api/harness/tasks/artifacts
---

# A task's artifacts

**GET** `/harness/tasks/{id}/artifacts`

## Headers

- `Authorization: string`

  `Bearer <token>`. A Hexel Studio access token for your organization.

- `X-Workspace-Id: string`

  The workspace the request acts in (`ws_...`). It never grants access by itself.

- `X-Environment-Id: string`

  The environment the request acts in (`env_...`). It never grants access by itself.

## Returns

`200` The artifacts. (`object`)

- `artifacts: array of Artifact`

  - `content_type: optional string`

  - `created_at: string`

  - `id: string`

  - `name: string`

  - `name_digest: optional string`

  - `object_ref: string`

  - `run_id: string`

  - `size: optional integer`

  - `task_id: string`

## Errors

- `default` 

## Example

```bash
curl --request GET \
  --url 'https://api.hexelstudio.com/v1/harness/tasks/{id}/artifacts' \
  --header "Authorization: Bearer $ACCESS_TOKEN" \
  --header 'X-Workspace-Id: X_WORKSPACE_ID' \
  --header 'X-Environment-Id: X_ENVIRONMENT_ID'
```

### Response (200)

```json
{
  "artifacts": [
    {
      "content_type": "string",
      "created_at": "2026-01-01T00:00:00Z",
      "id": "string",
      "name": "string",
      "name_digest": "string",
      "object_ref": "string",
      "run_id": "string",
      "size": 0,
      "task_id": "string"
    }
  ]
}
```
